org.bouncycastle.mail.smime

## Class SMIMEEnvelopedParser

- java.lang.Object
- - org.bouncycastle.cms.CMSContentInfoParser
  - - org.bouncycastle.cms.CMSEnvelopedDataParser
    - - org.bouncycastle.mail.smime.SMIMEEnvelopedParser

    public class SMIMEEnvelopedParser
    extends CMSEnvelopedDataParser

Stream based containing class for an S/MIME pkcs7-mime encrypted MimePart.

### Field Summary

### Fields inherited from class org.bouncycastle.cms.CMSContentInfoParser

`_contentInfo, _data`

### Constructor Summary

Constructors
Constructor and Description
`SMIMEEnvelopedParser(MimeBodyPart message)`
`SMIMEEnvelopedParser(MimeBodyPart message, int bufferSize)` Create a parser from a MimeBodyPart using the passed in buffer size for reading it.
`SMIMEEnvelopedParser(MimeMessage message)`
`SMIMEEnvelopedParser(MimeMessage message, int bufferSize)` Create a parser from a MimeMessage using the passed in buffer size for reading it.

### Method Summary

Methods
`MimePart` `getEncryptedContent()`

### Methods inherited from class org.bouncycastle.cms.CMSEnvelopedDataParser

`getEncryptionAlgOID, getEncryptionAlgorithmParameters, getEncryptionAlgorithmParameters, getEncryptionAlgParams, getRecipientInfos, getUnprotectedAttributes`

### Methods inherited from class org.bouncycastle.cms.CMSContentInfoParser

`close`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SMIMEEnvelopedParser

    public SMIMEEnvelopedParser(MimeBodyPart message)
                         throws java.io.IOException,
                                MessagingException,
                                CMSException

Throws:
  `java.io.IOException`
  `MessagingException`
  `CMSException`

#### SMIMEEnvelopedParser

    public SMIMEEnvelopedParser(MimeMessage message)
                         throws java.io.IOException,
                                MessagingException,
                                CMSException

Throws:
  `java.io.IOException`
  `MessagingException`
  `CMSException`

#### SMIMEEnvelopedParser

    public SMIMEEnvelopedParser(MimeBodyPart message,
                        int bufferSize)
                         throws java.io.IOException,
                                MessagingException,
                                CMSException

Create a parser from a MimeBodyPart using the passed in buffer size for reading it.

Parameters:
  `message` - body part to be parsed.
  `bufferSize` - bufferSoze to be used.
Throws:
  `java.io.IOException`
  `MessagingException`
  `CMSException`

#### SMIMEEnvelopedParser

    public SMIMEEnvelopedParser(MimeMessage message,
                        int bufferSize)
                         throws java.io.IOException,
                                MessagingException,
                                CMSException

Create a parser from a MimeMessage using the passed in buffer size for reading it.

Parameters:
  `message` - message to be parsed.
  `bufferSize` - bufferSoze to be used.
Throws:
  `java.io.IOException`
  `MessagingException`
  `CMSException`

### Method Detail

#### getEncryptedContent

    public MimePart getEncryptedContent()